Telegram integration module.
---------------------------

* Introduction
* Configuration
* Maintainers

INTRODUCTION
------------

Automatically posting nodes or other content entities to the telegram channel.
Displaying post's comments from the telegram channel under the nodes.

CONFIGURATION
------------

1. Create a Public Channel in the Telegram (Menu -> New Channel).
    Fill the name of the channel and short name in the channel's link.
    The channel's image and description are optional.
2. Copy the name from the channel link (after t.me/) and insert it
    in the field 'Chat name' bellow.
3. Create new telegram bot. For this, find contact 'BotFather' in the Telegram
    and send string '/newbot' in the conversation. Follow to the instruction.
    Give a user-friendly name and a short name to your bot.
    Details: https://core.telegram.org/bots#3-how-do-i-create-a-bot
4. Receive token to access the HTTP API and insert it to the field
    'Bot authentication token' bellow.
5. Add newly created bot to your channel as administrator.
6. Fill default posting settings and choose content types for
    crossposting to the Telegram.
7. Clear cache.
8. After this you see new options on the edit form of selected entities.
    The new field 'Tg comments' on the entity display settings will be appeared.
9. That's all. Enjoy.

MAINTAINERS
-----------

* Artem Honcharov (Skymen) - https://www.drupal.org/u/skymen
